# QNetworkCookieJar Class Reference

### [com.trolltech.qt.network package]

Inherits QObject.

### Constructor

- void QNetworkCookieJar(QObject parent)

### Constructor Properties

- prototype: The QNetworkCookieJar prototype object

### Prototype Object Properties

The QNetworkCookieJar prototype object inherits properties from the QObject prototype object and also has the following properties.

- List cookiesForUrl(QUrl url)
- bool setCookiesFromUrl(List cookieList, QUrl url)

### Instance Properties

QNetworkCookieJar objects have no special properties beyond those inherited from the QNetworkCookieJar prototype object.